/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*   Description:  an I/O library for reading a graph    						  */                                                   
/*                                                                           */
/*                                                                           */
/*   Authors:  Md. Mostofa Ali Patwary and Bharath Pattabiraman              */
/*            EECS Department, Northwestern University                       */
/*            email: {mpatwary,bpa342}@eecs.northwestern.edu                 */
/*                                                                           */
/*   Copyright, 2012, Md. Mostofa Ali Patwary and Bharath Pattabiraman       */
/*   See COPYRIGHT notice in top-level directory.                            */
/*                                                                           */
/*   Please site the following publication if you use this package           */
/*	  Bharath Pattabiraman, Md. Mostofa Ali Patwary, Assefaw H. Gebremedhin2, */
/*	  Wei-keng Liao, and Alok Choudhary.												  */
/*	  "A Hierarchical Pruning Algorithm for											  */ 
/*	  the Maximum Clique Problem on Large Graphs"									  */
/*   submitted to ALENEX'13 																  */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __HEADERS_H__
#define __HEADERS_H__

#define STEP_DOWN(INPUT) ((INPUT) - 1)
#define STEP_UP(INPUT) ((INPUT) + 1)
#define _INVALID -2
#define _UNKNOWN -1
#define _FALSE 0
#define _TRUE 1

#include <iostream>
//#include <stdio.h>
#include <stdlib.h>
#include <vector>
#include <time.h>
#include <string.h>
#include <stdio.h>
#include <map>
#include <fstream>
#include <sstream>

//#define _DEBUG

using namespace std;

typedef std::vector<int> IntVector;
#define NIL -1

#define WHITESPACE_CHARS (" \f\n\r\t\v")
#define TRIM_LEFT_WHITESPACE(str) { str.erase(0, str.find_first_not_of(WHITESPACE_CHARS)); }
#define TRIM_RIGHT_WHITESPACE(str) { str.erase(str.find_last_not_of(WHITESPACE_CHARS) + 1); }
#define TRIM_WHITESPACE(str) { TRIM_LEFT_WHITESPACE(str); TRIM_RIGHT_WHITESPACE(str); }

#ifndef LINE_LENGTH
#define LINE_LENGTH 256
#endif

#define NANOSECOND 1000000000

/*
#ifndef OWN_TIME_DIFF
#define OWN_TIME_DIFF
double owntimediff(timespec start, timespec end)
{
        timespec temp;
        if ((end.tv_nsec-start.tv_nsec)<0) {
                temp.tv_sec = end.tv_sec-start.tv_sec-1;
                temp.tv_nsec = NANOSECOND+end.tv_nsec-start.tv_nsec;
        } else {
                temp.tv_sec = end.tv_sec-start.tv_sec;
                temp.tv_nsec = end.tv_nsec-start.tv_nsec;
        }

        return (((double)temp.tv_sec) + ((double)temp.tv_nsec)/((double)NANOSECOND));
}
#endif

*/

#endif
