function check_bounds(ginfo)
%===============================================================
% Checks the computed bounds on the size of the max clique
%===============================================================
% uses: mc, maxcore, tri_ub, mc_heur_size, name
%
% Ryan Rossi, Purdue University
% Copyright 2012
%

mc = ginfo.mc_size;
maxcore = ginfo.maxcore;
tri_ub = ceil(ginfo.tri_bound);
mc_heur_size = ginfo.mc_heur_size;
name = ginfo.name;

%tight upper bound
assert(maxcore+1 >= mc, [name,': max clique greater than max kcore upperbound: \n'])
assert(tri_ub+1 >= mc, [name,': max clique greater than triangle upperbound: '...
    ,num2str(mc),' > ',num2str(tri_ub+1), '\n'])

%tight lower bound
if mc>0, assert(mc_heur_size <= mc, [name,': max clique less than heuristic lowerbound. \n']); end;

