%
% 
%
% note: if the fields change, then update notation
%    'nverts'    'nedges'    'maxdeg'    'avgdeg'    'avgcc'    'maxtriangles'    'tri_bound'    'maxcore'
%    'mc_size'    'mc_time'    'mc_heur_size'    'mc_heur_time'


%%
setup_paths

data = 'graphs';

print_fancy_mc_table(data) %updates mc info

[C graphs name type_idx types fields] = datamatrix(data);

if size(C,2) == 15, %remove gamma_K and gamma_H
    for i=1:13, f{i} = fields{i}; end; fields = {}; 
    fields = f;
    C(:,14:15) = [];
end

notation = {'|V|','|E|','d_{max}','d_{avg}','\bar{\kappa}','T_{avg}','T','\sqrt{2T}','K',...
    '\omega','\omega_{sec}', '\tilde{\omega}','\tilde{\omega}_{sec}'};

colors = get_colors(length(types));
type_str = graph_types(types)

figpath = '~/papers/mc-tscc-extended/images/';




%% scatter plot matrix using all types of graphs
clf;
scatter_matrix(log10(C),notation,[figpath,'corr-sc'],type_idx,colors,type_str)



%% scatter plot matrix ignoring graph type
clf;
scatter_matrix(log10(C),notation,[figpath,'corr-only'])



%% matrix of scatter plots for each graph type (seperately)
for i=1:length(types),
    clf;
    graphs = find(i==type_idx);
    str{1} = type_str{i};
    scatter_matrix(log10(C(graphs,:)),notation,[figpath,'corr-sc-',types{i}],...
        type_idx(graphs),colors(i,:),str)
end






%% SCATTER PLOT OF UPPER & LOWER BOUNDS
notation = {'\tilde{\omega}','\omega','K','\sqrt{2T}','d_{max}','\bar{\kappa}'};

B = [C(:,12) C(:,10) C(:,9) C(:,8) C(:,3) C(:,5)];

clf;
scatter_matrix(log10(B),notation,[figpath,'corr-sc-bounds'],type_idx,colors,type_str)

%% scatter plot matrix ignoring graph type
clf;
scatter_matrix(log10(B),notation,[figpath,'corr-only-bounds'])



%% matrix of scatter plots for each graph type (seperately)
for i=1:length(types),
    clf;
    graphs = find(i==type_idx);
    str{1} = type_str{i};
    scatter_matrix(log10(B(graphs,:)),notation,[figpath,'corr-sc-bounds-',types{i}],...
        type_idx(graphs),colors(i,:),str)
end


%     'nverts'    'nedges'    'maxdeg'    'avgdeg'    'avgcc'    'tavg'    'maxtriangles'    'tri_bound'
%   Columns 9 through 13
%     'maxcore'    'mc_size'    'mc_time'    'mc_heur_size'    'mc_heur_time'
