function [C graphs name type_idx types fields] = datamatrix(data)
% returns a data matrix with all stats, bounds, and timings
% may also be used to dump the computed data to file

setup_paths

if nargin == 0,
    data = 'graphs';
end
graphlist = get_graphlist(data);

dpath = ['../results/',data];
load([dpath,'/gdata'])

sgdata = cont2struct(gdata);
fields = get_fields(sgdata)

k = 1;
types = unique({sgdata.type})
for ti=1:numel(types)
    type = types{ti};
    tgraphs = sgdata(strcmp({sgdata.type},type)); 
    [~,p] = sort([tgraphs.nverts]); 
    for gi=1:numel(p),
        g = tgraphs(p(gi));
        name{k} = g.name;
        type_idx(k) = ti;
        for i=1:numel(fields),
            C(k,i) = strip_num(g.(fields{i}));
        end
        k=k+1;
    end
end
        
graphs = mat2struct(C,fields);

% graphs.name = name;
% graphs.type_idx = type_idx;
% graphs.types = types;

