function graph2mtx(graphname,prefix)
% export a single graph to symmetric matrix market file format
%   - edges should only be specified in the lower triangular
%
%   ------------
%   %%MatrixMarket matrix coordinate pattern symmetric
%   8 8 6
%   3 2
%   . .
% 
% see http://math.nist.gov/MatrixMarket/formats.html#MMformat
% 
% Ryan Rossi
% Copyright 2012
%

setup_paths

if nargin < 2,
   prefix = ''; 
end


ginfo = struct();
A = load_graph(graphname);
assert(all(diag(A)==0));
ginfo.nverts = size(A,1);
ginfo.nedges = nnz(A)/2;
ginfo.degrees = full(sum(A,2));
ginfo

write_mtx(A,[prefix,graphname,'.mtx']);


