function A=load_full_graph(graphname)
% LOAD_GRAPH Loads a graph from the data directory
%
% Updated for max cliques/tscc (Ryan Rossi)
%   - if directed, remove nonreciprocal edges, (hence, if undirected, 
%       then must be symmetric)
%   - A&A' may remove edges, so discard any zero deg verts
%
%   Note: this version was not used for the paper.
%
% load_graph is a helper function to load a graph provided with the
% regardless of the current working directory.  
%
% Example:
%   A = load_graph('cond-mat-2005-fix-cc');

% David F. Gleich
% Copyright, Purdue University, 2011

% History
% 2011-10-02: Initial coding based on load_gaimc_graph

path=fileparts(mfilename('fullpath'));
load(fullfile(path,'graph-db',[graphname '.mat']));
A = A&A';
A=spones(A); % todo, make this an option?
A = A - diag(diag(A));
A = rm_zero_deg_verts(A); %since A&A' may introduce these zero deg vertices