

setup_paths

nargin
if nargin <= 1,
    fprintf('...\n')
    data = 'graphs';
end


dpath = ['../results/',data];
load([dpath,'/gdata'])
clear sgdata;
for graph=gdata.keys
    if ~exist('sgdata','var'), sgdata = gdata(graph{1});
    else, sgdata(end+1) = gdata(graph{1}); end
end


        
        
idx = 1;
clear mc kcore avgcc avgdeg types_idx C nverts nedges lbl
colors = plot_colors(4)

types = unique({sgdata.type});
for ti=1:numel(types)
    type = types{ti};
    tgraphs = sgdata(strcmp({sgdata.type},type)); 
    [~,p] = sort([tgraphs.nverts]); 
    for gi=1:numel(p)
        clear ntris tris wedges nwedges d
        
        if strcmp('ca',tgraphs(p(gi)).type)
            types_idx(idx) = ti;
            C(idx,:) = rgb('MediumPurple');
            lbl{idx} = 'collaboration'
        elseif strcmp('soc',tgraphs(p(gi)).type) || strcmp('soc-fb',tgraphs(p(gi)).type) || strcmp('soc-loc',tgraphs(p(gi)).type)
            types_idx(idx) = ti;
            C(idx,:) = rgb('LimeGreen');
            lbl{idx} = 'social';
        elseif strcmp('tech',tgraphs(p(gi)).type)
            types_idx(idx) = ti;
            C(idx,:) = rgb('DodgerBlue')
            lbl{idx} = 'tech';
        else
            types_idx(idx) = ti;
            C(idx,:) = rgb('Crimson');
            lbl{idx} = 'other';
        end
        
        mc(idx) = tgraphs(p(gi)).mc_size;
        mkcore(idx) = tgraphs(p(gi)).maxcore;
        avgcc(idx) = tgraphs(p(gi)).avgcc;
        avgdeg(idx) = tgraphs(p(gi)).avgdeg;
        nverts(idx) = tgraphs(p(gi)).nverts;
        nedges(idx) = tgraphs(p(gi)).nedges;
        avgtri(idx) = mean(tgraphs(p(gi)).triangles);
        
        %gkappa(idx) = (tgraphs(p(gi)).nverts*avgtri(idx)/3)/sum(d.*(d-1)/2);
        d = tgraphs(p(gi)).degrees;
        ntris = tgraphs(p(gi)).clustercoef.*(d).*(d-1)/2;
        tris = round(ntris);
        wedges = round((d).*(d-1)/2);
        ntris = sum(tris);
        nwedges = sum(wedges);
        global_cc(idx) = ntris / nwedges;
        
        idx = idx + 1;
    end
end

ratio_ub = mc ./ (mkcore+1);

assert(ratio_ub <= 1)

datafolder = '';
labelSize = 20;
psize = 60;



% global cc vs. mc/mkcore
h = figure;
scatter(global_cc,ratio_ub,psize,1:(idx-1),'Filled'); hold on;
colormap(C);
xlabel(['global cc'],'FontSize',labelSize);
ylabel('max clique / max kcore','fontsize',labelSize);
xlim([0 max(global_cc)+0.05])
ylim([0 1.02])


set(gca,'fontsize',14);

save_figure(h,[datafolder,'globalcc_by_mc-mkcore',num2str(psize)],'big'); 


% avg deg vs. max clique
h = figure;
scatter(log10(avgdeg),log10(mc),psize,1:(idx-1),'Filled'); hold on;
colormap(C);

xlabel(['avg deg'],'FontSize',labelSize);
ylabel('max clique','fontsize',labelSize);
set(gca,'fontsize',14);

save_figure(h,[datafolder,'avgdeg_by_mc',num2str(psize)],'big'); 


