function gdata = update_mc(data)
% update mc info

setup_paths
if nargin == 0,
    data = 'graphs';
end
results_path = '../results/';
gpath = [results_path,data,'/gdata'];
load(gpath)

for graph=gdata.keys,
    ginfo = gdata(graph{1});
    ginfo.mc_size = 0;
    ginfo.mc_verts = [];
    ginfo.mc_time = 0;
    ginfo.mc_heur_size = 0;
    ginfo.mc_heur_verts = [];
    ginfo.mc_time = 0;
    gdata(ginfo.name) = ginfo;
end


mcpath = [results_path,'fmc/',data,'/'];
info_path = [mcpath,'info_mc.txt'];
files = find_files(info_path)
if length(files) == 0,
    fprintf('cant find mc info txt file \n');
    info_path = [mcpath,'info_graphs_scc.txt'];
    files = find_files(info_path);
end


fid = fopen(info_path);
line = fgetl(fid);
while ischar(line)
    d = strsplit(line,',');
    c = strsplit(d{6},' ');
    clique = [];
    key = d{3};
    if strcmp(d{2},'exact'),
        if isKey(gdata,key),
            info = gdata(key); 
            info.mc_size = str2num(d{4});
            for j=1:length(c),
                clique = [clique str2num(c{j})];
            end
            info.mc_verts = clique;
            info.mc_time = d{5};
            gdata(key) = info;
        end
    elseif strcmp(d{2},'heur'),
        if isKey(gdata,key),
            info = gdata(key); 
            info.mc_heur_size = str2num(d{4});
            for j=1:length(c),
                clique = [clique str2num(c{j})];
            end
            info.mc_heur_verts = clique;
            info.mc_heur_time = d{5};
            gdata(key) = info;
        end
    end
    line = fgetl(fid);
end
fclose(fid);


save([gpath,'.mat'], 'gdata')