% set appropriate paths:
setup_paths


%% compute reachability
[~,E] = load_graph('enron-only');
S = reach_graph(E, 'enron-only.mtx');


%% compute reachability graph, tscc bounds, and stats
data = 'test';
compute_reach(data);

% or more generally:
data = 'graphs';
compute_reach(data);


%% computes network stats/tscc bounds from existing reach data
reach_data(data)


%% generate run scripts and start computing max clique
cd <yourpath>/cliques/tscc/scripts/

%python create_sh_files.py <threads> <foldername> <0:exact,1:heur,2:both>
python create_sh_files.py 16 graphs 2

%% print tscc table with performance
cp /scratch/rrossi/github/maxcliques/tscc/scripts/print_table.py /scratch/rrossi/github/maxcliques/mc/scripts/
cd /scratch/rrossi/github/maxcliques/mc/results/fmc/graphs
cd /scratch/rrossi/github/maxcliques/mc/scripts/
python print_table.py graphs


%% print the tscc bounds and network stats for the reach graph
print_reach_table(data)


%% config graphlist, see 'dynamic_graphs.m', and 'get_graphlist.m'
dynamic_graphs





%%
%============================
% Retweet Graphs
%============================
% Run python2.6 /python/retweets.py'
%
% This function parses the retweet data and outputs
% an edge list for each graph, <src,dest,time>
%
% This function also generates the code for finding the tSCC
%
%   1. retweet_graphs.m        
%   2. create_retweet_graphs.m,
%   